From 99da49232140d6cb7a9bf3238f9cbdd7637451cc Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 9 Jun 2019 20:00:40 +0200
Subject: [PATCH] bind: update to 9.14.2.

---
 srcpkgs/bind/template | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

diff --git a/srcpkgs/bind/template b/srcpkgs/bind/template
index db9180dbb66..ef3f2b12606 100644
--- a/srcpkgs/bind/template
+++ b/srcpkgs/bind/template
@@ -1,27 +1,24 @@
 # Template file for 'bind'
 pkgname=bind
-reverts="9.13.6_1"
-version=9.11.7
+version=9.14.2
 revision=1
 _fullver="${version}${_patchver:+-${_patchver}}"
 wrksrc="${pkgname}-${_fullver}"
 build_style=gnu-configure
-configure_args="--disable-static --enable-threads --enable-largefile
- --with-libtool --enable-atomic --sysconfdir=/etc/named --enable-epoll
- --enable-ipv6 --with-randomdev=/dev/random --with-ecdsa=yes --with-eddsa=no
+configure_args="--disable-static --enable-largefile
+ --with-libtool --sysconfdir=/etc/named --enable-epoll --enable-ipv6 
  --with-libtool --with-openssl=${XBPS_CROSS_BASE}/usr --without-gssapi --without-gost
- --enable-openssl-hash --with-readline --with-tuning=default --without-python
- --enable-fetchlimit --enable-sit --with-libidn2 $(vopt_enable seccomp)
+ --with-readline --with-tuning=default --without-python --with-libidn2 
  $(vopt_if geoip "--with-geoip=${XBPS_CROSS_BASE}/usr" "--without-geoip")"
-hostmakedepends="automake libtool perl"
+hostmakedepends="automake libtool perl pkg-config"
 makedepends="libressl-devel libxml2-devel libcap-devel readline-devel libatomic-devel
- libidn2-devel $(vopt_if geoip geoip-devel) $(vopt_if seccomp libseccomp-devel)"
+ libidn2-devel $(vopt_if geoip geoip-devel)"
 short_desc="Berkeley Internet Name Domain server"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="ISC"
 homepage="https://www.isc.org/downloads/bind/"
 distfiles="https://ftp.isc.org/isc/bind9/${_fullver}/bind-${_fullver}.tar.gz"
-checksum=5b9e86dc5711a1a7448356c02ddb23bb1dd78c9e02a69f9b2e2ce31d39f5a0fd
+checksum=0e4027573726502ec038db3973a086c02508671723a4845e21da1769a5c27f0c
 
 conf_files="/etc/named/named.conf"
 system_accounts="named"
@@ -29,13 +26,9 @@ named_descr="BIND DNS server"
 named_homedir="/var/named"
 make_dirs="/var/named 0770 root named"
 
-build_options="geoip seccomp"
+build_options="geoip"
 build_options_default="geoip"
 
-case "$XBPS_TARGET_MACHINE" in
-	x86_64*|i686*) build_options_default+=" seccomp";;
-esac
-
 do_check() {
 	# requires special network setup
 	:
@@ -78,7 +71,6 @@ bind-devel_package() {
 		vmove usr/share/man/man1/isc-config.sh.1
 		vmove usr/share/man/man1/bind9-config.1
 		vmove usr/include
-		vmove usr/share/man/man3
 		vmove usr/lib/*.so
 	}
 }
